<?php  if ( ! defined('BASEPATH')) exit('No direct script access allowed');
//Este controlador manda a traer las acciones para que muestre ls módulos que tiene permitido el usuario 
class Franquiciatario extends CI_Controller {
	
	//Constructor que manda a traer la libreria de sesion y url
	public function __construct() {
		parent::__construct();
		$this->load->library(array('session','form_validation'));
		$this->load->model('acceso/Acceso_model');
		$this->load->helper(array('url','form'));
	}
	

	//Funcion que manda a traer la vista principal de Franquiciatario y muestra el nombre del usuario logueado
	public function index()
	{
		$this->load->view('layout/headerFran');
		$this->load->view('layout/menuFranquicia');
		if($this->session->userdata('Rol_IdRol') == FALSE ||
			$this->session->userdata('Rol_IdRol') == '1'|| 
			$this->session->userdata('Rol_IdRol') == '3'){
			redirect(base_url().'acceso/acceso');
		}
		$data['titulo'] = 'Bienvenido de nuevo ' .$this->session->userdata('Rol_IdRol');
		$data['Franquicia'] = $this->Acceso_model->Franquicia();
		$promos=$this->Acceso_model->Promociones();
		$this->load->view('acceso/franquiciatario_view',$data);
		$this->load->view('layout/footer');
	}
} 
